# include <utility/Serializable>

namespace utility
{
  Serializable::~Serializable()
  {

  };

std::ostream&
operator<<( std::ostream& out, 
	    const utility::Serializable& x )
{
  x.write( out );
  return out;
};



std::istream& 
operator>>( std::istream& in,
	    utility::Serializable& x )
{
  x.read( in );
  return in;
};

};
